--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are from Legion.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Legion(itemID)
	for _,v in pairs(SmexyMats.Legion_ReagentIDs) do
		if (tonumber(itemID) == v) then 
			return true; 
		end; 
	end;
	return false;
end;

SmexyMats.Legion_ReagentIDs = {
	--Leagion Items
		140192,	--	Dalaran Hearthstone
		141605,	--	Flight Master's Whistle
	--Legendary Crafting Reagents
		146710, --	Bolt of Shadowcloth
		146711, --	Bolt of Starweave
		146712,	--	Wisp-Touched Elderhide
		146713,	--	Prime Wardenscale
		146714,	--	Hammer of Forgotten Kings
		146659,	--	Nethershard Essence
	--Sentinaz Beacons
		146906,	--	Sentinax Beacon of Carnage
		146903,	--	Sentinax Beacon of Domination
		146908,	--	Sentinax Beacon of Engineering
		146922,	--	Sentinax Beacon of Fel Growth
		146912,	--	Sentinax Beacon of Greater Carnage
		146910,	--	Sentinax Beacon of Greater Domination
		146914,	--	Sentinax Beacon of Greater Engineering
		146915,	--	Sentinax Beacon of Greater Torment
		146913,	--	Sentinax Beacon of Greater Warbeasts
		146923,	--	Sentinax Beacon of Petrification
		147355,	--	Sentinax Beacon of the Bloodstrike
		146905,	--	Sentinax Beacon of the Firestorm
		146911,	--	Sentinax Beacon of the Greater Firestorm
		146909,	--	Sentinax Beacon of Torment
		146907,	--	Sentinax Beacon of Warbeasts
	--Lockbox IDs
		121331, --  Leystone Lockbox
	--Crafting Reagent IDs
		124101,	--	Aethril
		129284,	--	Aethril Seed
		124440,	--	Arkhana
		130174,	--	Azsunite
		124119,	--	Big Gamy Ribs
		124112,	--	Black Barracuda
		137596,	--	Black Transmutagen
		124124,	--	Blood of Sargeras
		124442,	--	Chaos Crystal
		130175,	--	Chaotic Spinel
		124107,	--	Cursed Queenfish
		133589,	--	Dalapeño Pepper
		130180,	--	Dawnlight
		130173,	--	Deep Amber
		124123,	--	Demonfire
		124461,	--	Demonsteel Bar
		136533,	--	Dreadhide Leather
		124102,	--	Dreamleaf
		129285,	--	Dreamleaf Seed
		130179,	--	Eye of Prophecy
		142336,	--	Falcosaur Egg
		124118,	--	Fatty Bearsteak
		140784,	--	Fel Piston Stabilizer
		124116,	--	Felhide
		123919,	--	Felslate
		124106,	--	Felwort
		129289,	--	Felwort Seed
		124104,	--	Fjarnskaggl
		129287,	--	Fjarnskaggl Seed
		133588,	--	Flaked Sea Salt
		124103,	--	Foxflower
		124436,	--	Foxflower Flux
		129286,	--	Foxflower Seed
		130178,	--	Furystone
		129100,	--	Gem Chip
		136534,	--	Gravenscale
		142266,	--	Handful of Gizmos
		140785,	--	Hardened Circuitboard Plating
		144329,	--	Hardened Felglass
		138296,	--	Hatecoil Glyptic
		124109,	--	Highmountain Salmon
		127004,	--	Imbued Silkweave
		124632,	--	Incandescent Blood
		124444,	--	Infernal Brimstone
		124117,	--	Lean Shank
		124120,	--	Leyblood
		124122,	--	Leyfire
		124441,	--	Leylight Shard
		123918,	--	Leystone Ore
		136633,	--	Loose Trigger
		130182,	--	Maelstrom Sapphire
		124108,	--	Mossgill Perch
		133590,	--	Muskenbutter
		136538,	--	Namha's Stonehide Leather
		140782,	--	Neural Net Detangler
		133912,	--	Nomi's Silver Mackerel
		136342,	--	Obliterum Ash
		137597,	--	Oily Transmutagen
		136637,	--	Oversized Blasting Cap
		130181,	--	Pandemonite
		140783,	--	Predictive Combat Operations Databank
		142335,	--	Pristine Falcosaur Feather
		130177,	--	Queen's Opal
		133591,	--	River Onion
		129032,	--	Roseate Pigment
		133593,	--	Royal Olive
		124111,	--	Runescale Koi
		127037,	--	Runic Catgut
		130245,	--	Saber's Eye
		129034,	--	Sallow Pigment
		130172,	--	Sangrite
		130183,	--	Shadowruby
		124437,	--	Shal'dorei Silk
		127681,	--	Sharp Spritethorn
		133607,	--	Silver Mackerel
		135500,	--	Singed Fjarnskaggl
		129158,	--	Starlight Rosedust
		130176,	--	Skystone
		133680,	--	Slice of Bacon
		136636,	--	Sniping Scope
		124105,	--	Starlight Rose
		129288,	--	Starlight Rose Seed
		133592,	--	Stonedark Snail
		124113,	--	Stonehide Leather
		124110,	--	Stormray
		124115,	--	Stormscale
		136638,	--	True Iron Barrel
		124438,	--	Unbroken Claw
		124439,	--	Unbroken Tooth
		137595,	--	Viscous Transmutagen
		124121,	--	Wildfowl Egg
		137609,	--	Wood
		140781,	--	X-87 Battle Circuit
		128304,	--	Yseralline Seed
};