--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are from Mists of Pandaria.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Mists(itemID)
	for _,v in pairs(SmexyMats.Mists_ReagentIDs) do
		if (tonumber(itemID) == v) then 
			return true; 
		end; 
	end;
	return false;
end;

SmexyMats.Mists_ReagentIDs = {
	--Lockbox IDs
		88567,  --  Ghost-Iron-Lockbox
	--Crafting Reagent IDs
		112157,	--	Prismatic Scale Fragment
		74853,	--	100 Year Soy Sauce
		102541,	--	Aged Balsamic Vinegar
		102543,	--	Aged Mogu'shan Cheese
		76137,	--	Alexandrite
		102542,	--	Ancient Pandaren Spices
		98717,	--	Balanced Trillium Ingot
		74832,	--	Barley
		74661,	--	Black Pepper
		72094,	--	Black Trillium Ore
		80433,	--	Blood Spirit
		82441,	--	Bolt of Windwool Cloth
		98619,	--	Celestial Cloth
		79246,	--	Delicate Blossom Petals
		89639,	--	Desecrated Herb
		97624,	--	Desecrated Herb Pod
		74859,	--	Emperor Salmon
		74247,	--	Ethereal Shard
		72120,	--	Exotic Leather
		74659,	--	Farm Chicken
		79011,	--	Fool's Cap
		97623,	--	Fool's Cap Spores
		102536,	--	Fresh Lushroom
		102540,	--	Fresh Mangos
		79250,	--	Fresh Pomfruit
		102538,	--	Fresh Shao-Tien Rice
		102537,	--	Fresh Silkfeather Hawk Eggs
		102539,	--	Fresh Strawberries
		72096,	--	Ghost Iron Bar
		77467,	--	Ghost Iron Bolts
		97512,	--	Ghost Iron Nugget
		72092,	--	Ghost Iron Ore
		74857,	--	Giant Mantis Shrimp
		74845,	--	Ginseng
		74866,	--	Golden Carp
		72238,	--	Golden Lotus
		74840,	--	Green Cabbage
		72234,	--	Green Tea Leaf
		98617,	--	Hardened Magnificent Hide
		94289,	--	Haunting Spirit
		77468,	--	High-Explosive Gunpowder
		76141,	--	Imperial Amethyst
		82447,	--	Imperial Silk
		79254,	--	Ink of Dreams
		74854,	--	Instant Noodles
		74856,	--	Jade Lungfish
		74847,	--	Jade Squash
		94113,	--	Jard's Peculiar Energy Source
		74863,	--	Jewel Danio
		74841,	--	Juicycrunch Carrot
		74865,	--	Krasarang Paddlefish
		72093,	--	Kyparite
		97546,	--	Kyparite Fragment
		76133,	--	Lapis Lazuli
		94111,	--	Lightning Steel Ingot
		72104,	--	Living Steel
		72163,	--	Magnificent Hide
		79253,	--	Misty Pigment
		74842,	--	Mogu Pumpkin
		89112,	--	Mote of Harmony
		74834,	--	Mushan Ribs
		74250,	--	Mysterious Essence
		85583,	--	Needle Mushrooms
		83092,	--	Orb of Mystery
		74660,	--	Pandaren Peach
		76136,	--	Pandarian Garnet
		74849,	--	Pink Turnip
		76132,	--	Primal Diamond
		76131,	--	Primordial Ruby
		79101,	--	Prismatic Scale
		72237,	--	Rain Poppy
		97620,	--	Rain Poppy Petal
		74838,	--	Raw Crab Meat
		75014,	--	Raw Crocolisk Belly
		74833,	--	Raw Tiger Steak
		74837,	--	Raw Turtle Meat
		85585,	--	Red Beans
		74844,	--	Red Blossom Leek
		74860,	--	Redbelly Mandarin
		74864,	--	Reef Octopus
		87399,	--	Restored Artifact
		74851,	--	Rice
		74662,	--	Rice Flour
		76138,	--	River's Heart
		76135,	--	Roguestone
		74843,	--	Scallions
		79731,	--	Scroll of Wisdom
		76734,	--	Serpent's Eye
		74248,	--	Sha Crystal
		79251,	--	Shadow Pigment
		72162,	--	Sha-Touched Leather
		72235,	--	Silkweed
		97621,	--	Silkweed Stem
		85584,	--	Silkworm Pupa
		74252,	--	Small Ethereal Shard
		79010,	--	Snow Lily
		97622,	--	Snow Lily Petal
		90407,	--	Sparkling Shard
		83064,	--	Spinefish
		74249,	--	Spirit Dust
		76061,	--	Spirit of Harmony
		102218,	--	Spirit of War
		79255,	--	Starlight Ink
		74848,	--	Striped Melon
		76142,	--	Sun's Radiance
		76134,	--	Sunstone
		74861,	--	Tiger Gourami
		76130,	--	Tiger Opal
		87828,	--	Tigersblood Pigment
		90146,	--	Tinker's Kit
		97619,	--	Torn Green Tea Leaf
		72095,	--	Trillium Bar
		76140,	--	Vermilion Onyx
		85506,	--	Viseclaw Meat
		72103,	--	White Trillium Ore
		74850,	--	White Turnip
		76139,	--	Wild Jade
		74839,	--	Wildfowl Breast
		72988,	--	Windwool Cloth
		74846,	--	Witchberries
		74852,	--	Yak Milk
};