--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Archaeology.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Archaeology(iID) 
	for k, v in pairs(SmexyMats.ItemsFrom_Archaeology) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

function SmexyMats:IsFor_Archaeology(iID) 
	for k, v in pairs(SmexyMats.ItemsFor_Archaeology) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

--Archaeology is a source for these items.
SmexyMats.ItemsFrom_Archaeology = {
	130903,	--	Ancient Suramar Scroll
	109585,	--	Arakkoa Cipher
	64394,	--	Draenei Tome
	108439,	--	Draenor Clan Orator Cane
	52843,	--	Dwarf Rune Stone
	63127,	--	Highborne Scroll
	130904,	--	Highmountain Ritual-Stone
	95373,	--	Mantid Amber Sliver
	130905,	--	Mark of the Deceiver
	79869,	--	Mogu Statue Piece
	64396,	--	Nerubian Obelisk
	109584,	--	Ogre Missive
	64392,	--	Orc Blood Text
	79868,	--	Pandaren Pottery Shard
	64397,	--	Tol'vir Hieroglyphic
	63128,	--	Troll Tablet
	64395,	--	Vrykul Rune Stick
};

--These items are reagents for Archaeology.
SmexyMats.ItemsFor_Archaeology = {
	130903,	--	Ancient Suramar Scroll
	109585,	--	Arakkoa Cipher
	64394,	--	Draenei Tome
	108439,	--	Draenor Clan Orator Cane
	52843,	--	Dwarf Rune Stone
	63127,	--	Highborne Scroll
	130904,	--	Highmountain Ritual-Stone
	95373,	--	Mantid Amber Sliver
	130905,	--	Mark of the Deceiver
	79869,	--	Mogu Statue Piece
	64396,	--	Nerubian Obelisk
	109584,	--	Ogre Missive
	64392,	--	Orc Blood Text
	79868,	--	Pandaren Pottery Shard
	64397,	--	Tol'vir Hieroglyphic
	63128,	--	Troll Tablet
	64395,	--	Vrykul Rune Stick
};