﻿--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Blacksmithing.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Blacksmithing(iID) 
	for k, v in pairs(SmexyMats.ItemsFrom_Blacksmithing) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

function SmexyMats:IsFor_Blacksmithing(iID) 
	for k, v in pairs(SmexyMats.ItemsFor_Blacksmithing) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end; 

SmexyMats.ItemsFrom_Blacksmithing = {
	146714,	--	Hammer of Forgotten Kings

	98717,	--	Balanced Trillium Ingot
	3478,	--	Coarse Grinding Stone
	124461,	--	Demonsteel Bar
	12644,	--	Dense Grinding Stone
	65365,	--	Folded Obsidium
	3486,	--	Heavy Grinding Stone
	9060,	--	Inlaid Mithril Cylinder
	7071,	--	Iron Buckle
	94111,	--	Lightning Steel Ingot
	3470,	--	Rough Grinding Stone
	7966,	--	Solid Grinding Stone
	108257,	--	Truesteel Ingot
};

SmexyMats.ItemsFor_Blacksmithing = {
	146714,	--	Hammer of Forgotten Kings
	146659,	--	Nethershard Essence
	
	124124,	--	Blood of Sargeras
	130179,	--	Eye of Prophecy
	124444,	--	Infernal Brimstone
	124440,	--	Arkhana
	124116,	--	Felhide
	124436,	--	Foxflower Flux
	124461,	--	Demonsteel Bar
	123919,	--	Felslate
	124113,	--	Stonehide Leather
	113261,	--	Sorcerous Fire
	118472,	--	Savage Blood
	120945,	--	Primal Spirit
	109118,	--	Blackrock Ore
	109119,	--	True Iron Ore
	110609,	--	Raw Beast Hide
	123918,	--	Leystone Ore
	113264,	--	Sorcerous Air
	124115,	--	Stormscale
	124437,	--	Shal'dorei Silk
	124438,	--	Unbroken Claw
	124439,	--	Unbroken Tooth
	127759,	--	Felblight
	113263,	--	Sorcerous Earth
	108257,	--	Truesteel Ingot
	76061,	--	Spirit of Harmony
	94289,	--	Haunting Spirit
	98717,	--	Balanced Trillium Ingot
	102218,	--	Spirit of War
	72095,	--	Trillium Bar
	111557,	--	Sumptuous Fur
	80433,	--	Blood Spirit
	94111,	--	Lightning Steel Ingot
	72093,	--	Kyparite
	72104,	--	Living Steel
	72096,	--	Ghost Iron Bar
	77467,	--	Ghost Iron Bolts
	77468,	--	High-Explosive Gunpowder
	71998,	--	Essence of Destruction
	52078,	--	Chaos Orb
	51950,	--	Pyrium Bar
	58480,	--	Truegold
	52191,	--	Ocean Sapphire
	52193,	--	Ember Topaz
	52190,	--	Inferno Ruby
	52186,	--	Elementium Bar
	52325,	--	Volatile Fire
	52327,	--	Volatile Earth
	52329,	--	Volatile Life
	53039,	--	Hardened Elementium Bar
	56516,	--	Heavy Savage Leather
	52326,	--	Volatile Water
	52182,	--	Jasper
	54849,	--	Obsidium Bar
	52178,	--	Zephyrite
	65365,	--	Folded Obsidium
	45087,	--	Runed Orb
	47556,	--	Crusader Orb
	43102,	--	Frozen Orb
	69237,	--	Living Ember
	37663,	--	Titansteel Bar
	41163,	--	Titanium Bar
	36913,	--	Saronite Bar
	36925,	--	Majestic Zircon
	49908,	--	Primordial Saronite
	35622,	--	Eternal Water
	35623,	--	Eternal Air
	35624,	--	Eternal Earth
	30183,	--	Nether Vortex
	35627,	--	Eternal Shadow
	36860,	--	Eternal Fire
	37700,	--	Crystallized Air
	37701,	--	Crystallized Earth
	37702,	--	Crystallized Fire
	37703,	--	Crystallized Shadow
	37705,	--	Crystallized Water
	35625,	--	Eternal Life
	36916,	--	Cobalt Bar
	22450,	--	Void Crystal
	22449,	--	Large Prismatic Shard
	34664,	--	Sunmote
	23447,	--	Eternium Bar
	23449,	--	Khorium Bar
	35128,	--	Hardened Khorium
	34054,	--	Infinite Dust
	23571,	--	Primal Might
	23572,	--	Primal Nether
	32428,	--	Heart of Darkness
	21884,	--	Primal Fire
	21885,	--	Primal Water
	21886,	--	Primal Life
	22451,	--	Primal Air
	22452,	--	Primal Earth
	22456,	--	Primal Shadow
	22457,	--	Primal Mana
	22573,	--	Mote of Earth
	23446,	--	Adamantite Bar
	23573,	--	Hardened Adamantite Bar
	17203,	--	Sulfuron Ingot
	20725,	--	Nexus Crystal
	17011,	--	Lava Core
	11754,	--	Black Diamond
	12364,	--	Huge Emerald
	12800,	--	Azerothian Diamond
	12809,	--	Guardian Stone
	12811,	--	Righteous Orb
	23448,	--	Felsteel Bar
	17012,	--	Core Leather
	18567,	--	Elemental Flux
	21877,	--	Netherweave Cloth
	21887,	--	Knothide Leather
	22445,	--	Arcane Dust
	23445,	--	Fel Iron Bar
	17010,	--	Fiery Core
	7078,	--	Essence of Fire
	12808,	--	Essence of Undeath
	12360,	--	Arcanite Bar
	12361,	--	Blue Sapphire
	12799,	--	Large Opal
	12803,	--	Living Essence
	7076,	--	Essence of Earth
	20520,	--	Dark Rune
	12655,	--	Enchanted Thorium Bar
	12804,	--	Powerful Mojo
	12810,	--	Enchanted Leather
	7080,	--	Essence of Water
	7910,	--	Star Ruby
	12662,	--	Demonic Rune
	6037,	--	Truesilver Bar
	8170,	--	Rugged Leather
	11371,	--	Dark Iron Bar
	12359,	--	Thorium Bar
	14047,	--	Runecloth
	15417,	--	Devilsaur Leather
	11382,	--	Blood of the Mountain
	7075,	--	Core of Earth
	7077,	--	Heart of Fire
	7081,	--	Breath of Wind
	7972,	--	Ichor of Undeath
	12365,	--	Dense Stone
	12644,	--	Dense Grinding Stone
	7909,	--	Aquamarine
	3864,	--	Citrine
	7971,	--	Black Pearl
	8153,	--	Wildvine
	3860,	--	Mithril Bar
	4304,	--	Thick Leather
	4338,	--	Mageweave Cloth
	1529,	--	Jade
	3859,	--	Steel Bar
	7966,	--	Solid Grinding Stone
	7912,	--	Solid Stone
	3577,	--	Gold Bar
	4234,	--	Heavy Leather
	4306,	--	Silk Cloth
	5637,	--	Large Fang
	1705,	--	Lesser Moonstone
	3575,	--	Iron Bar
	5500,	--	Iridescent Pearl
	1206,	--	Moss Agate
	3466,	--	Strong Flux
	3486,	--	Heavy Grinding Stone
	7067,	--	Elemental Earth
	7068,	--	Elemental Fire
	7069,	--	Elemental Air
	7070,	--	Elemental Water
	2838,	--	Heavy Stone
	1210,	--	Shadowgem
	2319,	--	Medium Leather
	2321,	--	Fine Thread
	2841,	--	Bronze Bar
	3478,	--	Coarse Grinding Stone
	818,	--	Tigerseye
	2592,	--	Wool Cloth
	2605,	--	Green Dye
	2836,	--	Coarse Stone
	5635,	--	Sharp Claw
	5498,	--	Small Lustrous Pearl
	2842,	--	Silver Bar
	2318,	--	Light Leather
	2840,	--	Copper Bar
	3470,	--	Rough Grinding Stone
	774,	--	Malachite
	2589,	--	Linen Cloth
	2835,	--	Rough Stone
	2880,	--	Weak Flux
	22202,	--	Small Obsidian Shard
	22203,	--	Large Obsidian Shard
};
