--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM First Aid.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_FirstAid(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_FirstAid) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false;
end;

function SmexyMats:IsFor_FirstAid(iID)
	for k, v in pairs(SmexyMats.ItemsFor_FirstAid) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

SmexyMats.ItemsFrom_FirstAid = {
};

SmexyMats.ItemsFor_FirstAid = {
	109144,	--	Blackwater Whiptail Flesh
	53010,	--	Embersilk Cloth
	109141,	--	Fire Ammonite Tentacle
	33470,	--	Frostweave Cloth
	19441,	--	Huge Venom Sac
	1288,	--	Large Venom Sac
	123918,	--	Leystone Ore
	2589,	--	Linen Cloth
	4338,	--	Mageweave Cloth
	21877,	--	Netherweave Cloth
	142335,	--	Pristine Falcosaur Feather
	14047,	--	Runecloth
	109142,	--	Sea Scorpion Segment
	124437,	--	Shal'dorei Silk
	4306,	--	Silk Cloth
	133607,	--	Silver Mackerel
	1475,	--	Small Venom Sac
	111557,	--	Sumptuous Fur
	72988,	--	Windwool Cloth
	2592,	--	Wool Cloth
};