﻿--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Leatherworking.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Leatherworking(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_Leatherworking) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false;
end;

function SmexyMats:IsFor_Leatherworking(iID)
	for k, v in pairs(SmexyMats.ItemsFor_Leatherworking) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

SmexyMats.ItemsFrom_Leatherworking = {
	146712,	--	Wisp-Touched Elderhide
	146713,	--	Prime Wardenscale

	52979,	--	Blackened Dragonscale
	33568,	--	Borean Leather
	110611,	--	Burnished Leather
	29539,	--	Cobra Scales
	25699,	--	Crystal Infused Leather
	4236,	--	Cured Heavy Hide
	4231,	--	Cured Light Hide
	4233,	--	Cured Medium Hide
	15407,	--	Cured Rugged Hide
	8172,	--	Cured Thick Hide
	52982,	--	Deepsea Scale
	72120,	--	Exotic Leather
	25707,	--	Fel Hide
	25700,	--	Fel Scales
	98617,	--	Hardened Magnificent Hide
	38425,	--	Heavy Borean Leather
	23793,	--	Heavy Knothide Leather
	4234,	--	Heavy Leather
	56516,	--	Heavy Savage Leather
	38557,	--	Icy Dragonscale
	38561,	--	Jormungar Scale
	21887,	--	Knothide Leather
	2318,	--	Light Leather
	72163,	--	Magnificent Hide
	2319,	--	Medium Leather
	38558,	--	Nerubian Chitin
	29548,	--	Nether Dragonscales
	79101,	--	Prismatic Scale
	8170,	--	Rugged Leather
	52976,	--	Savage Leather
	25708,	--	Thick Clefthoof Leather
	4304,	--	Thick Leather
	29547,	--	Wind Scales
};

SmexyMats.ItemsFor_Leatherworking = {
	146712,	--	Wisp-Touched Elderhide
	146713,	--	Prime Wardenscale
	146659,	--	Nethershard Essence

	34057,	--	Abyss Crystal
	22445,	--	Arcane Dust
	44128,	--	Arctic Fur
	124440,	--	Arkhana
	11754,	--	Black Diamond
	15416,	--	Black Dragonscale
	2325,	--	Black Dye
	7971,	--	Black Pearl
	7286,	--	Black Whelp Scale
	52979,	--	Blackened Dragonscale
	112156,	--	Blackened Dragonscale Fragment
	2324,	--	Bleach
	124124,	--	Blood of Sargeras
	80433,	--	Blood Spirit
	15415,	--	Blue Dragonscale
	14048,	--	Bolt of Runecloth
	4305,	--	Bolt of Silk Cloth
	21844,	--	Bolt of Soulcloth
	2997,	--	Bolt of Woolen Cloth
	33568,	--	Borean Leather
	33567,	--	Borean Leather Scraps
	7081,	--	Breath of Wind
	12607,	--	Brilliant Chromatic Scale
	110611,	--	Burnished Leather
	52078,	--	Chaos Orb
	3864,	--	Citrine
	2320,	--	Coarse Thread
	112184,	--	Cobra Scale Fragment
	29539,	--	Cobra Scales
	2840,	--	Copper Bar
	17012,	--	Core Leather
	7075,	--	Core of Earth
	47556,	--	Crusader Orb
	25699,	--	Crystal Infused Leather
	37700,	--	Crystallized Air
	37703,	--	Crystallized Shadow
	37705,	--	Crystallized Water
	4236,	--	Cured Heavy Hide
	4231,	--	Cured Light Hide
	4233,	--	Cured Medium Hide
	15407,	--	Cured Rugged Hide
	8172,	--	Cured Thick Hide
	130180,	--	Dawnlight
	8150,	--	Deeprock Salt
	52982,	--	Deepsea Scale
	112155,	--	Deepsea Scale Fragment
	6470,	--	Deviate Scale
	15417,	--	Devilsaur Leather
	7067,	--	Elemental Earth
	7070,	--	Elemental Water
	12810,	--	Enchanted Leather
	7082,	--	Essence of Air
	71998,	--	Essence of Destruction
	7076,	--	Essence of Earth
	7078,	--	Essence of Fire
	7080,	--	Essence of Water
	35623,	--	Eternal Air
	35624,	--	Eternal Earth
	36860,	--	Eternal Fire
	35625,	--	Eternal Life
	35627,	--	Eternal Shadow
	35622,	--	Eternal Water
	38426,	--	Eternium Thread
	72120,	--	Exotic Leather
	25707,	--	Fel Hide
	112181,	--	Fel Scale Fragment
	25700,	--	Fel Scales
	127759,	--	Felblight
	14256,	--	Felcloth
	124116,	--	Felhide
	17010,	--	Fiery Core
	2321,	--	Fine Thread
	43102,	--	Frozen Orb
	7079,	--	Globe of Water
	109126,	--	Gorgrond Flytrap
	4340,	--	Gray Dye
	34055,	--	Greater Cosmic Essence
	15412,	--	Green Dragonscale
	2605,	--	Green Dye
	7392,	--	Green Whelp Scale
	12809,	--	Guardian Stone
	98617,	--	Hardened Magnificent Hide
	94289,	--	Haunting Spirit
	32428,	--	Heart of Darkness
	7077,	--	Heart of Fire
	38425,	--	Heavy Borean Leather
	4235,	--	Heavy Hide
	23793,	--	Heavy Knothide Leather
	4234,	--	Heavy Leather
	56516,	--	Heavy Savage Leather
	15408,	--	Heavy Scorpid Scale
	8343,	--	Heavy Silken Thread
	38557,	--	Icy Dragonscale
	112158,	--	Icy Dragonscale Fragment
	61981,	--	Inferno Ink
	5500,	--	Iridescent Pearl
	7071,	--	Iron Buckle
	14227,	--	Ironweb Spider Silk
	1529,	--	Jade
	38561,	--	Jormungar Scale
	112178,	--	Jormungar Scale Fragment
	3356,	--	Kingsblood
	21887,	--	Knothide Leather
	25649,	--	Knothide Leather Scraps
	5637,	--	Large Fang
	17011,	--	Lava Core
	123918,	--	Leystone Ore
	17056,	--	Light Feather
	783,	--	Light Hide
	2318,	--	Light Leather
	69237,	--	Living Ember
	12803,	--	Living Essence
	5373,	--	Lucky Charm
	130182,	--	Maelstrom Sapphire
	4338,	--	Mageweave Cloth
	72163,	--	Magnificent Hide
	4232,	--	Medium Hide
	2319,	--	Medium Leather
	14342,	--	Mooncloth
	1206,	--	Moss Agate
	136538,	--	Namha's Stonehide Leather
	38558,	--	Nerubian Chitin
	112177,	--	Nerubian Chitin Fragment
	112183,	--	Nether Dragonscale Fragment
	29548,	--	Nether Dragonscales
	30183,	--	Nether Vortex
	18240,	--	Ogre Tannin
	112180,	--	Patch of Crystal Infused Leather
	112182,	--	Patch of Fel Hide
	112179,	--	Patch of Thick Clefthoof Leather
	6471,	--	Perfect Deviate Scale
	12804,	--	Powerful Mojo
	22451,	--	Primal Air
	22452,	--	Primal Earth
	21884,	--	Primal Fire
	21886,	--	Primal Life
	22457,	--	Primal Mana
	23571,	--	Primal Might
	23572,	--	Primal Nether
	22456,	--	Primal Shadow
	120945,	--	Primal Spirit
	21885,	--	Primal Water
	49908,	--	Primordial Saronite
	79101,	--	Prismatic Scale
	112157,	--	Prismatic Scale Fragment
	52980,	--	Pristine Hide
	4342,	--	Purple Dye
	4461,	--	Raptor Hide
	110609,	--	Raw Beast Hide
	15414,	--	Red Dragonscale
	2604,	--	Red Dye
	8171,	--	Rugged Hide
	8170,	--	Rugged Leather
	2934,	--	Ruined Leather Scraps
	14341,	--	Rune Thread
	14047,	--	Runecloth
	45087,	--	Runed Orb
	4289,	--	Salt
	118472,	--	Savage Blood
	52976,	--	Savage Leather
	52977,	--	Savage Leather Scraps
	15410,	--	Scale of Onyxia
	8154,	--	Scorpid Scale
	10285,	--	Shadow Silk
	124437,	--	Shal'dorei Silk
	72162,	--	Sha-Touched Leather
	4291,	--	Silken Thread
	5784,	--	Slimy Murloc Scale
	5498,	--	Small Lustrous Pearl
	22448,	--	Small Prismatic Shard
	113264,	--	Sorcerous Air
	113263,	--	Sorcerous Earth
	113262,	--	Sorcerous Water
	3182,	--	Spider's Silk
	76061,	--	Spirit of Harmony
	102218,	--	Spirit of War
	124113,	--	Stonehide Leather
	124115,	--	Stormscale
	111557,	--	Sumptuous Fur
	34664,	--	Sunmote
	25708,	--	Thick Clefthoof Leather
	8169,	--	Thick Hide
	4304,	--	Thick Leather
	5785,	--	Thick Murloc Scale
	4337,	--	Thick Spider's Silk
	5082,	--	Thin Kodo Leather
	109119,	--	True Iron Ore
	8167,	--	Turtle Scale
	124438,	--	Unbroken Claw
	124439,	--	Unbroken Tooth
	22450,	--	Void Crystal
	52328,	--	Volatile Air
	52327,	--	Volatile Earth
	52325,	--	Volatile Fire
	52329,	--	Volatile Life
	52326,	--	Volatile Water
	15419,	--	Warbear Leather
	8153,	--	Wildvine
	112185,	--	Wind Scale Fragment
	29547,	--	Wind Scales
	8165,	--	Worn Dragonscale
};