--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Skinning.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Vendor(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_Vendor) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false;
end;

SmexyMats.ItemsFrom_Vendor = {
	146659,	--	Nethershard Essence

	74853,	--	100 Year Soy Sauce
	109143,	--	Abyssal Gulper Eel Flesh
	23784,	--	Adamantite Frame
	124101,	--	Aethril
	108996,	--	Alchemical Catalyst
	44128,	--	Arctic Fur
	124440,	--	Arkhana
	44835,	--	Autumnal Herbs
	74832,	--	Barley
	124119,	--	Big Gamy Ribs
	124112,	--	Black Barracuda
	2325,	--	Black Dye
	74661,	--	Black Pepper
	72094,	--	Black Trillium Ore
	61978,	--	Blackfallow Ink
	109118,	--	Blackrock Ore
	109144,	--	Blackwater Whiptail Flesh
	2324,	--	Bleach
	109140,	--	Blind Lake Sturgeon Flesh
	124124,	--	Blood of Sargeras
	80433,	--	Blood Spirit
	6260,	--	Blue Dye
	2996,	--	Bolt of Linen Cloth
	4305,	--	Bolt of Silk Cloth
	2997,	--	Bolt of Woolen Cloth
	4382,	--	Bronze Framework
	4371,	--	Bronze Tube
	2453,	--	Bruiseweed
	110611,	--	Burnished Leather
	43120,	--	Celestial Ink
	52196,	--	Chimera's Eye
	3857,	--	Coal
	4364,	--	Coarse Blasting Powder
	2320,	--	Coarse Thread
	2770,	--	Copper Ore
	109137,	--	Crescent Saberfish Flesh
	47556,	--	Crusader Orb
	3371,	--	Crystal Vial
	124107,	--	Cursed Queenfish
	133589,	--	Dalapeño Pepper
	62323,	--	Deathwing Scale Fragment
	5051,	--	Dig Rat
	109693,	--	Draenic Dust
	42225,	--	Dragon's Eye
	22786,	--	Dreaming Glory
	124102,	--	Dreamleaf
	2449,	--	Earthroot
	23781,	--	Elemental Blasting Powder
	18567,	--	Elemental Flux
	44500,	--	Elementium-Plated Exhaust Pipe
	10647,	--	Engineer's Ink
	35623,	--	Eternal Air
	35624,	--	Eternal Earth
	36860,	--	Eternal Fire
	35625,	--	Eternal Life
	35627,	--	Eternal Shadow
	35622,	--	Eternal Water
	38426,	--	Eternium Thread
	43124,	--	Ethereal Ink
	74247,	--	Ethereal Shard
	72120,	--	Exotic Leather
	74659,	--	Farm Chicken
	109139,	--	Fat Sleeper Flesh
	124118,	--	Fatty Bearsteak
	23782,	--	Fel Iron Casing
	127759,	--	Felblight
	14256,	--	Felcloth
	123919,	--	Felslate
	23787,	--	Felsteel Stabilizer
	22785,	--	Felweed
	2321,	--	Fine Thread
	109141,	--	Fire Ammonite Tentacle
	109125,	--	Fireweed
	124104,	--	Fjarnskaggl
	133588,	--	Flaked Sea Salt
	124103,	--	Foxflower
	124436,	--	Foxflower Flux
	102540,	--	Fresh Mangos
	102539,	--	Fresh Strawberries
	36908,	--	Frost Lotus
	109124,	--	Frostweed
	43102,	--	Frozen Orb
	111366,	--	Gearspring Parts
	72092,	--	Ghost Iron Ore
	74845,	--	Ginseng
	44501,	--	Goblin-Machined Piston
	72238,	--	Golden Lotus
	109126,	--	Gorgrond Flytrap
	4340,	--	Gray Dye
	2605,	--	Green Dye
	8846,	--	Gromsblood
	4389,	--	Gyrochronatom
	39684,	--	Hair Trigger
	23783,	--	Handful of Fel Iron Bolts
	23785,	--	Hardened Adamantite Tube
	4234,	--	Heavy Leather
	8343,	--	Heavy Silken Thread
	4400,	--	Heavy Stock
	111556,	--	Hexweave Cloth
	124109,	--	Highmountain Salmon
	17194,	--	Holiday Spices
	44853,	--	Honey
	13467,	--	Icecap
	61981,	--	Inferno Ink
	79254,	--	Ink of Dreams
	43126,	--	Ink of the Sea
	74854,	--	Instant Noodles
	43118,	--	Jadefire Ink
	109138,	--	Jawless Skulker Flesh
	52188,	--	Jeweler's Setting
	3356,	--	Kingsblood
	72093,	--	Kyparite
	124117,	--	Lean Shank
	10938,	--	Lesser Magic Essence
	124120,	--	Leyblood
	124441,	--	Leylight Shard
	123918,	--	Leystone Ore
	3357,	--	Liferoot
	39354,	--	Light Parchment
	2589,	--	Linen Cloth
	43116,	--	Lion's Ink
	136633,	--	Loose Trigger
	785,	--	Mageroyal
	4338,	--	Mageweave Cloth
	22793,	--	Mana Thistle
	4232,	--	Medium Hide
	2319,	--	Medium Leather
	39774,	--	Midnight Ink
	2678,	--	Mild Spices
	39469,	--	Moonglow Ink
	124108,	--	Mossgill Perch
	22572,	--	Mote of Air
	22573,	--	Mote of Earth
	22574,	--	Mote of Fire
	22575,	--	Mote of Life
	22576,	--	Mote of Mana
	22577,	--	Mote of Shadow
	22578,	--	Mote of Water
	133590,	--	Muskenbutter
	74250,	--	Mysterious Essence
	12037,	--	Mystery Meat
	109128,	--	Nagrand Arrowbloom
	85583,	--	Needle Mushrooms
	30183,	--	Nether Vortex
	22791,	--	Netherbloom
	43007,	--	Northern Spices
	36783,	--	Northsea Pearl
	6261,	--	Orange Dye
	83092,	--	Orb of Mystery
	136637,	--	Oversized Blasting Cap
	74660,	--	Pandaren Peach
	2447,	--	Peacebloom
	10290,	--	Pink Dye
	67319,	--	Preserved Ogre Eye
	23572,	--	Primal Nether
	120945,	--	Primal Spirit
	49908,	--	Primordial Saronite
	79101,	--	Prismatic Scale
	52980,	--	Pristine Hide
	4342,	--	Purple Dye
	65892,	--	Pyrium-Laced Crystalline Vial
	110609,	--	Raw Beast Hide
	109136,	--	Raw Boar Meat
	109131,	--	Raw Clefthoof Meat
	109134,	--	Raw Elekk Meat
	109135,	--	Raw Riverbeast Meat
	109132,	--	Raw Talbuk Meat
	85585,	--	Red Beans
	2604,	--	Red Dye
	74851,	--	Rice
	74662,	--	Rice Flour
	133591,	--	River Onion
	4357,	--	Rough Blasting Powder
	133593,	--	Royal Olive
	14341,	--	Rune Thread
	45087,	--	Runed Orb
	124111,	--	Runescale Koi
	127037,	--	Runic Catgut
	109133,	--	Rylak Egg
	4289,	--	Salt
	44499,	--	Salvaged Iron Golem Parts
	65893,	--	Sands of Time
	118472,	--	Savage Blood
	109142,	--	Sea Scorpion Segment
	76734,	--	Serpent's Eye
	124437,	--	Shal'dorei Silk
	127681,	--	Sharp Spritethorn
	43122,	--	Shimmering Ink
	4306,	--	Silk Cloth
	4291,	--	Silken Thread
	85584,	--	Silkworm Pupa
	67335,	--	Silver Charm Bracelet
	4404,	--	Silver Contact
	2775,	--	Silver Ore
	765,	--	Silverleaf
	30817,	--	Simple Flour
	4470,	--	Simple Wood
	36784,	--	Siren's Tear
	136636,	--	Sniping Scope
	43127,	--	Snowfall Ink
	113264,	--	Sorcerous Air
	113263,	--	Sorcerous Earth
	113261,	--	Sorcerous Fire
	113262,	--	Sorcerous Water
	74249,	--	Spirit Dust
	11291,	--	Star Wood
	109127,	--	Starflower
	79255,	--	Starlight Ink
	124105,	--	Starlight Rose
	133592,	--	Stonedark Snail
	124113,	--	Stonehide Leather
	124110,	--	Stormray
	124115,	--	Stormscale
	10940,	--	Strange Dust
	3466,	--	Strong Flux
	111557,	--	Sumptuous Fur
	115524,	--	Taladite Crystal
	109129,	--	Talador Orchid
	2771,	--	Tin Ore
	90146,	--	Tinker's Kit
	136638,	--	True Iron Barrel
	109119,	--	True Iron Ore
	108257,	--	Truesteel Ingot
	124438,	--	Unbroken Claw
	124439,	--	Unbroken Tooth
	40533,	--	Walnut Stock
	112377,	--	War Paints
	113111,	--	Warbinder's Ink
	2880,	--	Weak Flux
	72103,	--	White Trillium Ore
	3355,	--	Wild Steelbloom
	124121,	--	Wildfowl Egg
	72988,	--	Windwool Cloth
	4399,	--	Wooden Stock
	2592,	--	Wool Cloth
	74852,	--	Yak Milk
	4341,	--	Yellow Dye
};