--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are from Cataclysm.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Cataclysm(itemID)
	for _,v in pairs(SmexyMats.Cataclysm_ReagentIDs) do
		if (tonumber(itemID) == v) then 
			return true; 
		end; 
	end;
	return false;
end;

SmexyMats.Cataclysm_ReagentIDs = {
	--Lockbox IDs
		68729,  --  Elementium Lockbox
	--Crafting Reagent IDs
		53065,	--	Albino Cavefish
		53071,	--	Algaefin Rockfish
		52179,	--	Alicite
		52195,	--	Amberjewel
		61979,	--	Ashen Pigment
		52985,	--	Azshara's Veil
		108362,	--	Azshara's Veil Stem
		62783,	--	Basilisk "Liver"
		53066,	--	Blackbelly Mudfish
		52979,	--	Blackened Dragonscale
		112156,	--	Blackened Dragonscale Fragment
		61978,	--	Blackfallow Ink
		62791,	--	Blood Shrimp
		53643,	--	Bolt of Embersilk Cloth
		61980,	--	Burning Embers
		52177,	--	Carnelian
		52078,	--	Chaos Orb
		52196,	--	Chimera's Eye
		52983,	--	Cinderbloom
		108360,	--	Cinderbloom Petal
		62786,	--	Cocoa Beans
		62784,	--	Crocolisk Tail
		62323,	--	Deathwing Scale Fragment
		71807,	--	Deepholm Iolite
		53072,	--	Deepsea Sagefish
		52982,	--	Deepsea Scale
		112155,	--	Deepsea Scale Fragment
		56850,	--	Deepstone Oil
		62785,	--	Delicate Wing
		52194,	--	Demonseye
		62782,	--	Dragon Flank
		52192,	--	Dream Emerald
		54440,	--	Dreamcloth
		67749,	--	Electrified Ether
		52186,	--	Elementium Bar
		52185,	--	Elementium Ore
		108308,	--	Elementium Ore Nugget
		71810,	--	Elven Peridot
		52193,	--	Ember Topaz
		53010,	--	Embersilk Cloth
		71998,	--	Essence of Destruction
		53070,	--	Fathom Eel
		65365,	--	Folded Obsidium
		62781,	--	Giant Turtle Tongue
		52719,	--	Greater Celestial Essence
		60224,	--	Handful of Obsidium Bolts
		53039,	--	Hardened Elementium Bar
		52986,	--	Heartblossom
		108363,	--	Heartblossom Petal
		52721,	--	Heavenly Shard
		56516,	--	Heavy Savage Leather
		52181,	--	Hessonite
		53064,	--	Highland Guppy
		52555,	--	Hypnotic Dust
		61981,	--	Inferno Ink
		52190,	--	Inferno Ruby
		52182,	--	Jasper
		52188,	--	Jeweler's Setting
		71808,	--	Lava Coral
		53068,	--	Lavascale Catfish
		52718,	--	Lesser Celestial Essence
		71806,	--	Lightstone
		69237,	--	Living Ember
		52722,	--	Maelstrom Crystal
		62779,	--	Monstrous Claw
		53063,	--	Mountain Trout
		53069,	--	Murglesnout
		52180,	--	Nightstone
		54849,	--	Obsidium Bar
		53038,	--	Obsidium Ore
		108307,	--	Obsidium Ore Nugget
		52191,	--	Ocean Sapphire
		67319,	--	Preserved Ogre Eye
		52980,	--	Pristine Hide
		52183,	--	Pyrite Ore
		108309,	--	Pyrite Ore Nugget
		51950,	--	Pyrium Bar
		65892,	--	Pyrium-Laced Crystalline Vial
		71805,	--	Queen's Garnet
		65893,	--	Sands of Time
		52976,	--	Savage Leather
		52977,	--	Savage Leather Scraps
		71809,	--	Shadow Spinel
		52303,	--	Shadowspirit Diamond
		53062,	--	Sharptooth
		67335,	--	Silver Charm Bracelet
		52720,	--	Small Heavenly Shard
		62780,	--	Snake Eye
		52984,	--	Stormvine
		108361,	--	Stormvine Stalk
		53067,	--	Striped Lurker
		62778,	--	Toughened Flesh
		58480,	--	Truegold
		52987,	--	Twilight Jasmine
		108364,	--	Twilight Jasmine Petal
		52328,	--	Volatile Air
		52327,	--	Volatile Earth
		52325,	--	Volatile Fire
		52329,	--	Volatile Life
		52326,	--	Volatile Water
		52988,	--	Whiptail
		108365,	--	Whiptail Stem
		52178,	--	Zephyrite
};