--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are from Warlords of Draenor.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_WoD(itemID)
	for _,v in pairs(SmexyMats.WoD_ReagentIDs) do
		if (tonumber(itemID) == v) then 
			return true; 
		end; 
	end;
	return false;
end;
	
SmexyMats.WoD_ReagentIDs = {
	--Lockbox IDs
		116920, --  True-Steel-Lockbox
	--Crafting Reagent IDs
		111664,	--	Abyssal Gulper Eel
		109143,	--	Abyssal Gulper Eel Flesh
		108996,	--	Alchemical Catalyst
		109992,	--	Blackrock Fragment
		109118,	--	Blackrock Ore
		111663,	--	Blackwater Whiptail
		109144,	--	Blackwater Whiptail Flesh
		111667,	--	Blind Lake Sturgeon
		109140,	--	Blind Lake Sturgeon Flesh
		109625,	--	Broken Fireweed Stem
		109624,	--	Broken Frostweed Stem
		110611,	--	Burnished Leather
		119819,	--	Caged Mighty Clefthoof
		119817,	--	Caged Mighty Riverbeast
		114931,	--	Cerulean Pigment
		109123,	--	Crescent Oil
		111595,	--	Crescent Saberfish
		109137,	--	Crescent Saberfish Flesh
		109693,	--	Draenic Dust
		116053,	--	Draenic Seeds
		115508,	--	Draenic Stone
		111671,	--	Enormous Abyssal Gulper Eel
		111670,	--	Enormous Blackwater Whiptail
		111674,	--	Enormous Blind Lake Sturgeon
		111601,	--	Enormous Crescent Saberfish
		111675,	--	Enormous Fat Sleeper
		111673,	--	Enormous Fire Ammonite
		111676,	--	Enormous Jawless Skulker
		118566,	--	Enormous Savage Piranha
		111672,	--	Enormous Sea Scorpion
		111668,	--	Fat Sleeper
		109139,	--	Fat Sleeper Flesh
		128499,	--	Fel Egg
		128500,	--	Fel Ham
		127759,	--	Felblight
		111666,	--	Fire Ammonite
		109141,	--	Fire Ammonite Tentacle
		109125,	--	Fireweed
		115504,	--	Fractured Temporal Crystal
		109124,	--	Frostweed
		119813,	--	Furry Caged Beast
		111366,	--	Gearspring Parts
		109126,	--	Gorgrond Flytrap
		109626,	--	Gorgrond Flytrap Ichor
		111556,	--	Hexweave Cloth
		111669,	--	Jawless Skulker
		109138,	--	Jawless Skulker Flesh
		119814,	--	Leathery Caged Beast
		111245,	--	Luminous Shard
		119810,	--	Meaty Caged Beast
		109128,	--	Nagrand Arrowbloom
		109628,	--	Nagrand Arrowbloom Petal
		120945,	--	Primal Spirit
		115002,	--	Raw Beast Hide
		110609,	--	Raw Beast Hide
		110610,	--	Raw Beast Hide Scraps
		109136,	--	Raw Boar Meat
		109131,	--	Raw Clefthoof Meat
		109134,	--	Raw Elekk Meat
		109135,	--	Raw Riverbeast Meat
		109132,	--	Raw Talbuk Meat
		109133,	--	Rylak Egg
		118472,	--	Savage Blood
		111665,	--	Sea Scorpion
		109142,	--	Sea Scorpion Segment
		111659,	--	Small Abyssal Gulper Eel
		111662,	--	Small Blackwater Whiptail
		111652,	--	Small Blind Lake Sturgeon
		111589,	--	Small Crescent Saberfish
		111651,	--	Small Fat Sleeper
		111656,	--	Small Fire Ammonite
		111650,	--	Small Jawless Skulker
		115502,	--	Small Luminous Shard
		118564,	--	Small Savage Piranha
		111658,	--	Small Sea Scorpion
		113264,	--	Sorcerous Air
		113263,	--	Sorcerous Earth
		113261,	--	Sorcerous Fire
		113262,	--	Sorcerous Water
		109127,	--	Starflower
		109627,	--	Starflower Petal
		111557,	--	Sumptuous Fur
		115524,	--	Taladite Crystal
		109129,	--	Talador Orchid
		109629,	--	Talador Orchid Petal
		113588,	--	Temporal Crystal
		114781,	--	Timber
		109991,	--	True Iron Nugget
		109119,	--	True Iron Ore
		108257,	--	Truesteel Ingot
		112377,	--	War Paints
		113111,	--	Warbinder's Ink
};