--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Cooking.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Cooking(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_Cooking) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false;
end;

function SmexyMats:IsFor_Cooking(iID)
	for k, v in pairs(SmexyMats.ItemsFor_Cooking) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

SmexyMats.ItemsFrom_Cooking = {

};

SmexyMats.ItemsFor_Cooking = {
	74853,	--	100 Year Soy Sauce
	109143,	--	Abyssal Gulper Eel Flesh
	124101,	--	Aethril
	102541,	--	Aged Balsamic Vinegar
	102543,	--	Aged Mogu'shan Cheese
	53071,	--	Algaefin Rockfish
	102542,	--	Ancient Pandaren Spices
	44835,	--	Autumnal Herbs
	27422,	--	Barbed Gill Trout
	74832,	--	Barley
	41812,	--	Barrelhead Goby
	62783,	--	Basilisk "Liver"
	27669,	--	Bat Flesh
	35562,	--	Bear Flank
	3173,	--	Bear Meat
	3730,	--	Big Bear Meat
	124119,	--	Big Gamy Ribs
	124112,	--	Black Barracuda
	74661,	--	Black Pepper
	53066,	--	Blackbelly Mudfish
	109144,	--	Blackwater Whiptail Flesh
	109140,	--	Blind Lake Sturgeon Flesh
	62791,	--	Blood Shrimp
	33823,	--	Bloodfin Catfish
	2677,	--	Boar Ribs
	41808,	--	Bonescale Snapper
	41805,	--	Borean Man O' War
	27671,	--	Buzzard Meat
	3404,	--	Buzzard Wing
	43013,	--	Chilled Meat
	21024,	--	Chimaerok Tenderloin
	27677,	--	Chunk o' Basilisk
	34736,	--	Chunk o' Mammoth
	769,	--	Chunk of Boar Meat
	5503,	--	Clam Meat
	27678,	--	Clefthoof Meat
	62786,	--	Cocoa Beans
	2673,	--	Coyote Meat
	2886,	--	Crag Boar Rib
	2675,	--	Crawler Claw
	2674,	--	Crawler Meat
	109137,	--	Crescent Saberfish Flesh
	33824,	--	Crescent-Tail Skullfish
	2924,	--	Crocolisk Meat
	62784,	--	Crocolisk Tail
	22644,	--	Crunchy Spider Leg
	124107,	--	Cursed Queenfish
	133589,	--	Dalapeño Pepper
	13888,	--	Darkclaw Lobster
	124669,	--	Darkmoon Daggermaw
	41800,	--	Deep Sea Monsterbelly
	8150,	--	Deeprock Salt
	53072,	--	Deepsea Sagefish
	79246,	--	Delicate Blossom Petals
	62785,	--	Delicate Wing
	5051,	--	Dig Rat
	62782,	--	Dragon Flank
	41807,	--	Dragonfin Angelfish
	124102,	--	Dreamleaf
	74859,	--	Emperor Salmon
	27516,	--	Enormous Barbed Gill Trout
	12808,	--	Essence of Undeath
	142336,	--	Falcosaur Egg
	41810,	--	Fangtooth Herring
	74659,	--	Farm Chicken
	109139,	--	Fat Sleeper Flesh
	53070,	--	Fathom Eel
	124118,	--	Fatty Bearsteak
	128499,	--	Fel Egg
	128500,	--	Fel Ham
	27435,	--	Figluster's Mudfish
	109141,	--	Fire Ammonite Tentacle
	109125,	--	Fireweed
	124104,	--	Fjarnskaggl
	133588,	--	Flaked Sea Salt
	124103,	--	Foxflower
	102536,	--	Fresh Lushroom
	102540,	--	Fresh Mangos
	79250,	--	Fresh Pomfruit
	102538,	--	Fresh Shao-Tien Rice
	102537,	--	Fresh Silkfeather Hawk Eggs
	102539,	--	Fresh Strawberries
	109124,	--	Frostweed
	27439,	--	Furious Crawdad
	129100,	--	Gem Chip
	4655,	--	Giant Clam Meat
	12207,	--	Giant Egg
	74857,	--	Giant Mantis Shrimp
	62781,	--	Giant Turtle Tongue
	74845,	--	Ginseng
	41809,	--	Glacial Salmon
	9061,	--	Goblin Rocket Fuel
	74866,	--	Golden Carp
	27438,	--	Golden Darter
	3821,	--	Goldthorn
	2251,	--	Gooey Spider Leg
	723,	--	Goretusk Liver
	109126,	--	Gorgrond Flytrap
	74840,	--	Green Cabbage
	12204,	--	Heavy Kodo Meat
	53064,	--	Highland Guppy
	124109,	--	Highmountain Salmon
	17194,	--	Holiday Spices
	44853,	--	Honey
	27515,	--	Huge Spotted Feltail
	27437,	--	Icefin Bluefish
	41802,	--	Imperial Manta Ray
	74854,	--	Instant Noodles
	74856,	--	Jade Lungfish
	74847,	--	Jade Squash
	24477,	--	Jaggal Clam Meat
	109138,	--	Jawless Skulker Flesh
	74863,	--	Jewel Danio
	74841,	--	Juicycrunch Carrot
	5467,	--	Kodo Meat
	74865,	--	Krasarang Paddlefish
	53068,	--	Lavascale Catfish
	124117,	--	Lean Shank
	1015,	--	Lean Wolf Flank
	124120,	--	Leyblood
	13757,	--	Lightning Eel
	3731,	--	Lion Meat
	27668,	--	Lynx Meat
	785,	--	Mageroyal
	12223,	--	Meaty Bat Wing
	2678,	--	Mild Spices
	74842,	--	Mogu Pumpkin
	62779,	--	Monstrous Claw
	41801,	--	Moonglow Cuttlefish
	23676,	--	Moongraze Stag Tenderloin
	124108,	--	Mossgill Perch
	22577,	--	Mote of Shadow
	53063,	--	Mountain Trout
	53069,	--	Murglesnout
	1468,	--	Murloc Fin
	74834,	--	Mushan Ribs
	133590,	--	Muskenbutter
	41806,	--	Musselback Sculpin
	12037,	--	Mystery Meat
	109128,	--	Nagrand Arrowbloom
	85583,	--	Needle Mushrooms
	41813,	--	Nettlefish
	43501,	--	Northern Egg
	43007,	--	Northern Spices
	74660,	--	Pandaren Peach
	74849,	--	Pink Turnip
	3685,	--	Raptor Egg
	12184,	--	Raptor Flesh
	31670,	--	Raptor Ribs
	27674,	--	Ravager Flesh
	109136,	--	Raw Boar Meat
	6291,	--	Raw Brilliant Smallfish
	6308,	--	Raw Bristle Whisker Catfish
	109131,	--	Raw Clefthoof Meat
	74838,	--	Raw Crab Meat
	75014,	--	Raw Crocolisk Belly
	109134,	--	Raw Elekk Meat
	13754,	--	Raw Glossy Mightfish
	21153,	--	Raw Greater Sagefish
	6317,	--	Raw Loch Frenzy
	6289,	--	Raw Longjaw Mud Snapper
	8365,	--	Raw Mithril Head Trout
	13759,	--	Raw Nightfin Snapper
	6361,	--	Raw Rainbow Fin Albacore
	13758,	--	Raw Redgill
	109135,	--	Raw Riverbeast Meat
	6362,	--	Raw Rockscale Cod
	21071,	--	Raw Sagefish
	6303,	--	Raw Slitherskin Mackerel
	4603,	--	Raw Spotted Yellowtail
	13756,	--	Raw Summer Bass
	13760,	--	Raw Sunscale Salmon
	109132,	--	Raw Talbuk Meat
	74833,	--	Raw Tiger Steak
	74837,	--	Raw Turtle Meat
	13889,	--	Raw Whitescale Salmon
	85585,	--	Red Beans
	74844,	--	Red Blossom Leek
	12203,	--	Red Wolf Meat
	74860,	--	Redbelly Mandarin
	74864,	--	Reef Octopus
	43012,	--	Rhino Meat
	74851,	--	Rice
	74662,	--	Rice Flour
	133591,	--	River Onion
	41803,	--	Rockfin Grouper
	133593,	--	Royal Olive
	124111,	--	Runescale Koi
	109133,	--	Rylak Egg
	20424,	--	Sandworm Meat
	74843,	--	Scallions
	5466,	--	Scorpid Stinger
	109142,	--	Sea Scorpion Segment
	31671,	--	Serpent Flesh
	53062,	--	Sharptooth
	43009,	--	Shoveltusk Flank
	85584,	--	Silkworm Pupa
	133607,	--	Silver Mackerel
	30817,	--	Simple Flour
	133680,	--	Slice of Bacon
	6889,	--	Small Egg
	4402,	--	Small Flame Sac
	5465,	--	Small Spider Leg
	62780,	--	Snake Eye
	5468,	--	Soft Frenzy Flesh
	27425,	--	Spotted Feltail
	67229,	--	Stag Flank
	5471,	--	Stag Meat
	109127,	--	Starflower
	124105,	--	Starlight Rose
	133592,	--	Stonedark Snail
	124110,	--	Stormray
	5469,	--	Strider Meat
	2672,	--	Stringy Wolf Meat
	53067,	--	Striped Lurker
	74848,	--	Striped Melon
	36782,	--	Succulent Clam Meat
	2452,	--	Swiftthistle
	109129,	--	Talador Orchid
	27682,	--	Talbuk Venison
	5504,	--	Tangy Clam Meat
	12206,	--	Tender Crab Meat
	3667,	--	Tender Crocolisk Meat
	12208,	--	Tender Wolf Meat
	5470,	--	Thunder Lizard Tail
	74861,	--	Tiger Gourami
	12202,	--	Tiger Meat
	1080,	--	Tough Condor Meat
	62778,	--	Toughened Flesh
	3712,	--	Turtle Meat
	85506,	--	Viseclaw Meat
	27681,	--	Warped Flesh
	12205,	--	White Spider Meat
	74850,	--	White Turnip
	44834,	--	Wild Turkey
	74839,	--	Wildfowl Breast
	124121,	--	Wildfowl Egg
	74846,	--	Witchberries
	43011,	--	Worg Haunch
	43010,	--	Worm Meat
	74852,	--	Yak Milk
	128304,	--	Yseralline Seed
	27429,	--	Zangarian Sporefish
	7974,	--	Zesty Clam Meat
};