﻿--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Engineering.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Engineering(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_Engineering) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false;
end;

function SmexyMats:IsFor_Engineering(iID)
	for k, v in pairs(SmexyMats.ItemsFor_Engineering) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

SmexyMats.ItemsFrom_Engineering = {
	23784,	--	Adamantite Frame
	4382,	--	Bronze Framework
	4371,	--	Bronze Tube
	4364,	--	Coarse Blasting Powder
	16006,	--	Delicate Arcanite Converter
	15992,	--	Dense Blasting Powder
	67749,	--	Electrified Ether
	23781,	--	Elemental Blasting Powder
	23782,	--	Fel Iron Casing
	23787,	--	Felsteel Stabilizer
	39683,	--	Froststeel Tube
	7191,	--	Fused Wiring
	111366,	--	Gearspring Parts
	77467,	--	Ghost Iron Bolts
	10558,	--	Gold Power Core
	4389,	--	Gyrochronatom
	39681,	--	Handful of Cobalt Bolts
	4359,	--	Handful of Copper Bolts
	23783,	--	Handful of Fel Iron Bolts
	60224,	--	Handful of Obsidium Bolts
	23785,	--	Hardened Adamantite Tube
	4377,	--	Heavy Blasting Powder
	77468,	--	High-Explosive Gunpowder
	32423,	--	Icy Blasting Primers
	4387,	--	Iron Strut
	94113,	--	Jard's Peculiar Energy Source
	23786,	--	Khorium Power Core
	10561,	--	Mithril Casing
	10559,	--	Mithril Tube
	39682,	--	Overcharged Capacitor
	4357,	--	Rough Blasting Powder
	4404,	--	Silver Contact
	10505,	--	Solid Blasting Powder
	16000,	--	Thorium Tube
	15994,	--	Thorium Widget
	90146,	--	Tinker's Kit
	18631,	--	Truesilver Transformer
	10560,	--	Unstable Trigger
	39690,	--	Volatile Blasting Trigger
	4375,	--	Whirring Bronze Gizmo
};

SmexyMats.ItemsFor_Engineering = {
	23446,	--	Adamantite Bar
	23784,	--	Adamantite Frame
	52179,	--	Alicite
	7909,	--	Aquamarine
	22445,	--	Arcane Dust
	12360,	--	Arcanite Bar
	44128,	--	Arctic Fur
	36921,	--	Autumn's Glow
	12800,	--	Azerothian Diamond
	124119,	--	Big Gamy Ribs
	124112,	--	Black Barracuda
	109118,	--	Blackrock Ore
	23077,	--	Blood Garnet
	124124,	--	Blood of Sargeras
	4611,	--	Blue Pearl
	12361,	--	Blue Sapphire
	4339,	--	Bolt of Mageweave
	21840,	--	Bolt of Netherweave
	33568,	--	Borean Leather
	2841,	--	Bronze Bar
	4382,	--	Bronze Framework
	4371,	--	Bronze Tube
	52078,	--	Chaos Orb
	3864,	--	Citrine
	4364,	--	Coarse Blasting Powder
	2836,	--	Coarse Stone
	36916,	--	Cobalt Bar
	2840,	--	Copper Bar
	7075,	--	Core of Earth
	37701,	--	Crystallized Earth
	37702,	--	Crystallized Fire
	37705,	--	Crystallized Water
	15407,	--	Cured Rugged Hide
	11371,	--	Dark Iron Bar
	23440,	--	Dawnstone
	23079,	--	Deep Peridot
	8150,	--	Deeprock Salt
	16006,	--	Delicate Arcanite Converter
	124461,	--	Demonsteel Bar
	15992,	--	Dense Blasting Powder
	12365,	--	Dense Stone
	52192,	--	Dream Emerald
	34052,	--	Dream Shard
	67749,	--	Electrified Ether
	7069,	--	Elemental Air
	23781,	--	Elemental Blasting Powder
	7067,	--	Elemental Earth
	7068,	--	Elemental Fire
	52186,	--	Elementium Bar
	44500,	--	Elementium-Plated Exhaust Pipe
	53010,	--	Embersilk Cloth
	12810,	--	Enchanted Leather
	12655,	--	Enchanted Thorium Bar
	10647,	--	Engineer's Ink
	7082,	--	Essence of Air
	7076,	--	Essence of Earth
	7078,	--	Essence of Fire
	12808,	--	Essence of Undeath
	7080,	--	Essence of Water
	35623,	--	Eternal Air
	35624,	--	Eternal Earth
	36860,	--	Eternal Fire
	35625,	--	Eternal Life
	35627,	--	Eternal Shadow
	35622,	--	Eternal Water
	23445,	--	Fel Iron Bar
	23782,	--	Fel Iron Casing
	140784,	--	Fel Piston Stabilizer
	127759,	--	Felblight
	124116,	--	Felhide
	123919,	--	Felslate
	23448,	--	Felsteel Bar
	23787,	--	Felsteel Stabilizer
	124106,	--	Felwort
	17010,	--	Fiery Core
	21929,	--	Flame Spessarite
	814,	--	Flask of Oil
	36933,	--	Forest Emerald
	39683,	--	Froststeel Tube
	33470,	--	Frostweave Cloth
	43102,	--	Frozen Orb
	130178,	--	Furystone
	7191,	--	Fused Wiring
	111366,	--	Gearspring Parts
	72096,	--	Ghost Iron Bar
	77467,	--	Ghost Iron Bolts
	7079,	--	Globe of Water
	9061,	--	Goblin Rocket Fuel
	44501,	--	Goblin-Machined Piston
	3577,	--	Gold Bar
	10558,	--	Gold Power Core
	23112,	--	Golden Draenite
	2605,	--	Green Dye
	4389,	--	Gyrochronatom
	39684,	--	Hair Trigger
	39681,	--	Handful of Cobalt Bolts
	4359,	--	Handful of Copper Bolts
	23783,	--	Handful of Fel Iron Bolts
	60224,	--	Handful of Obsidium Bolts
	23573,	--	Hardened Adamantite Bar
	23785,	--	Hardened Adamantite Tube
	140785,	--	Hardened Circuitboard Plating
	53039,	--	Hardened Elementium Bar
	144329,	--	Hardened Felglass
	35128,	--	Hardened Khorium
	7077,	--	Heart of Fire
	10286,	--	Heart of the Wild
	4377,	--	Heavy Blasting Powder
	38425,	--	Heavy Borean Leather
	23793,	--	Heavy Knothide Leather
	4234,	--	Heavy Leather
	4400,	--	Heavy Stock
	2838,	--	Heavy Stone
	52181,	--	Hessonite
	77468,	--	High-Explosive Gunpowder
	124109,	--	Highmountain Salmon
	12364,	--	Huge Emerald
	13467,	--	Icecap
	7972,	--	Ichor of Undeath
	32423,	--	Icy Blasting Primers
	127004,	--	Imbued Silkweave
	124444,	--	Infernal Brimstone
	52190,	--	Inferno Ruby
	9060,	--	Inlaid Mithril Cylinder
	3575,	--	Iron Bar
	4387,	--	Iron Strut
	14227,	--	Ironweb Spider Silk
	1529,	--	Jade
	94113,	--	Jard's Peculiar Energy Source
	52182,	--	Jasper
	23449,	--	Khorium Bar
	23786,	--	Khorium Power Core
	36922,	--	King's Amber
	21887,	--	Knothide Leather
	72093,	--	Kyparite
	76133,	--	Lapis Lazuli
	12799,	--	Large Opal
	22449,	--	Large Prismatic Shard
	17011,	--	Lava Core
	1705,	--	Lesser Moonstone
	123918,	--	Leystone Ore
	2318,	--	Light Leather
	39354,	--	Light Parchment
	2589,	--	Linen Cloth
	12803,	--	Living Essence
	23436,	--	Living Ruby
	72104,	--	Living Steel
	136633,	--	Loose Trigger
	4338,	--	Mageweave Cloth
	774,	--	Malachite
	2319,	--	Medium Leather
	3860,	--	Mithril Bar
	10561,	--	Mithril Casing
	10559,	--	Mithril Tube
	36930,	--	Monarch Topaz
	1206,	--	Moss Agate
	22573,	--	Mote of Earth
	22574,	--	Mote of Fire
	109128,	--	Nagrand Arrowbloom
	21877,	--	Netherweave Cloth
	140782,	--	Neural Net Detangler
	23441,	--	Nightseye
	23439,	--	Noble Topaz
	54849,	--	Obsidium Bar
	52191,	--	Ocean Sapphire
	83092,	--	Orb of Mystery
	39682,	--	Overcharged Capacitor
	136637,	--	Oversized Blasting Cap
	12804,	--	Powerful Mojo
	140783,	--	Predictive Combat Operations Databank
	22451,	--	Primal Air
	76132,	--	Primal Diamond
	22452,	--	Primal Earth
	21884,	--	Primal Fire
	21886,	--	Primal Life
	22457,	--	Primal Mana
	23571,	--	Primal Might
	23572,	--	Primal Nether
	22456,	--	Primal Shadow
	120945,	--	Primal Spirit
	21885,	--	Primal Water
	76131,	--	Primordial Ruby
	4342,	--	Purple Dye
	76138,	--	River's Heart
	4357,	--	Rough Blasting Powder
	2835,	--	Rough Stone
	8170,	--	Rugged Leather
	14047,	--	Runecloth
	44499,	--	Salvaged Iron Golem Parts
	36913,	--	Saronite Bar
	118472,	--	Savage Blood
	52976,	--	Savage Leather
	36918,	--	Scarlet Ruby
	10285,	--	Shadow Silk
	24272,	--	Shadowcloth
	1210,	--	Shadowgem
	124437,	--	Shal'dorei Silk
	4306,	--	Silk Cloth
	2842,	--	Silver Bar
	4404,	--	Silver Contact
	4470,	--	Simple Wood
	36924,	--	Sky Sapphire
	4402,	--	Small Flame Sac
	22448,	--	Small Prismatic Shard
	136636,	--	Sniping Scope
	10505,	--	Solid Blasting Powder
	7912,	--	Solid Stone
	113263,	--	Sorcerous Earth
	113261,	--	Sorcerous Fire
	113262,	--	Sorcerous Water
	24271,	--	Spellcloth
	76061,	--	Spirit of Harmony
	23438,	--	Star of Elune
	7910,	--	Star Ruby
	11291,	--	Star Wood
	3859,	--	Steel Bar
	124113,	--	Stonehide Leather
	124115,	--	Stormscale
	111557,	--	Sumptuous Fur
	36920,	--	Sun Crystal
	76142,	--	Sun's Radiance
	23437,	--	Talasite
	113588,	--	Temporal Crystal
	4304,	--	Thick Leather
	4337,	--	Thick Spider's Silk
	12359,	--	Thorium Bar
	16000,	--	Thorium Tube
	15994,	--	Thorium Widget
	818,	--	Tigerseye
	90146,	--	Tinker's Kit
	41163,	--	Titanium Bar
	37663,	--	Titansteel Bar
	62778,	--	Toughened Flesh
	72095,	--	Trillium Bar
	136638,	--	True Iron Barrel
	109119,	--	True Iron Ore
	58480,	--	Truegold
	6037,	--	Truesilver Bar
	18631,	--	Truesilver Transformer
	36927,	--	Twilight Opal
	10560,	--	Unstable Trigger
	76140,	--	Vermilion Onyx
	52328,	--	Volatile Air
	39690,	--	Volatile Blasting Trigger
	52327,	--	Volatile Earth
	52325,	--	Volatile Fire
	40533,	--	Walnut Stock
	4375,	--	Whirring Bronze Gizmo
	76139,	--	Wild Jade
	124121,	--	Wildfowl Egg
	8153,	--	Wildvine
	72988,	--	Windwool Cloth
	4399,	--	Wooden Stock
	2592,	--	Wool Cloth
	140781,	--	X-87 Battle Circuit
};