--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Fishing.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Fishing(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_Fishing) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false;
end;

function SmexyMats:IsFor_Fishing(iID)
	for k, v in pairs(SmexyMats.ItemsFor_Fishing) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

SmexyMats.ItemsFrom_Fishing = {
	53065,	--	Albino Cavefish
	53071,	--	Algaefin Rockfish
	61979,	--	Ashen Pigment
	52985,	--	Azshara's Veil
	27422,	--	Barbed Gill Trout
	41812,	--	Barrelhead Goby
	3173,	--	Bear Meat
	124112,	--	Black Barracuda
	53066,	--	Blackbelly Mudfish
	124124,	--	Blood of Sargeras
	33823,	--	Bloodfin Catfish
	2996,	--	Bolt of Linen Cloth
	4339,	--	Bolt of Mageweave
	4305,	--	Bolt of Silk Cloth
	2997,	--	Bolt of Woolen Cloth
	41808,	--	Bonescale Snapper
	33567,	--	Borean Leather Scraps
	41805,	--	Borean Man O' War
	4382,	--	Bronze Framework
	4371,	--	Bronze Tube
	769,	--	Chunk of Boar Meat
	3857,	--	Coal
	4364,	--	Coarse Blasting Powder
	2886,	--	Crag Boar Rib
	2675,	--	Crawler Claw
	2674,	--	Crawler Meat
	33824,	--	Crescent-Tail Skullfish
	2924,	--	Crocolisk Meat
	22644,	--	Crunchy Spider Leg
	3371,	--	Crystal Vial
	37705,	--	Crystallized Water
	124107,	--	Cursed Queenfish
	13888,	--	Darkclaw Lobster
	124669,	--	Darkmoon Daggermaw
	41800,	--	Deep Sea Monsterbelly
	53072,	--	Deepsea Sagefish
	6470,	--	Deviate Scale
	41807,	--	Dragonfin Angelfish
	2449,	--	Earthroot
	7070,	--	Elemental Water
	53010,	--	Embersilk Cloth
	74859,	--	Emperor Salmon
	27516,	--	Enormous Barbed Gill Trout
	7078,	--	Essence of Fire
	7080,	--	Essence of Water
	41810,	--	Fangtooth Herring
	53070,	--	Fathom Eel
	127759,	--	Felblight
	27435,	--	Figluster's Mudfish
	6359,	--	Firefin Snapper
	124104,	--	Fjarnskaggl
	33470,	--	Frostweave Cloth
	27439,	--	Furious Crawdad
	74857,	--	Giant Mantis Shrimp
	41809,	--	Glacial Salmon
	41814,	--	Glassfin Minnow
	7079,	--	Globe of Water
	74866,	--	Golden Carp
	27438,	--	Golden Darter
	4359,	--	Handful of Copper Bolts
	4377,	--	Heavy Blasting Powder
	53064,	--	Highland Guppy
	124109,	--	Highmountain Salmon
	27515,	--	Huge Spotted Feltail
	27437,	--	Icefin Bluefish
	41802,	--	Imperial Manta Ray
	1529,	--	Jade
	74856,	--	Jade Lungfish
	74863,	--	Jewel Danio
	74865,	--	Krasarang Paddlefish
	53068,	--	Lavascale Catfish
	1015,	--	Lean Wolf Flank
	17056,	--	Light Feather
	13757,	--	Lightning Eel
	2589,	--	Linen Cloth
	27668,	--	Lynx Meat
	774,	--	Malachite
	12223,	--	Meaty Bat Wing
	41801,	--	Moonglow Cuttlefish
	23676,	--	Moongraze Stag Tenderloin
	124108,	--	Mossgill Perch
	22578,	--	Mote of Water
	53063,	--	Mountain Trout
	53069,	--	Murglesnout
	1468,	--	Murloc Fin
	41806,	--	Musselback Sculpin
	21877,	--	Netherweave Cloth
	41813,	--	Nettlefish
	6358,	--	Oily Blackmouth
	23572,	--	Primal Nether
	49908,	--	Primordial Saronite
	40199,	--	Pygmy Suckerfish
	6291,	--	Raw Brilliant Smallfish
	6308,	--	Raw Bristle Whisker Catfish
	13754,	--	Raw Glossy Mightfish
	21153,	--	Raw Greater Sagefish
	6317,	--	Raw Loch Frenzy
	6289,	--	Raw Longjaw Mud Snapper
	8365,	--	Raw Mithril Head Trout
	13759,	--	Raw Nightfin Snapper
	6361,	--	Raw Rainbow Fin Albacore
	13758,	--	Raw Redgill
	6362,	--	Raw Rockscale Cod
	21071,	--	Raw Sagefish
	6303,	--	Raw Slitherskin Mackerel
	4603,	--	Raw Spotted Yellowtail
	13756,	--	Raw Summer Bass
	13760,	--	Raw Sunscale Salmon
	13889,	--	Raw Whitescale Salmon
	74860,	--	Redbelly Mandarin
	74864,	--	Reef Octopus
	43012,	--	Rhino Meat
	41803,	--	Rockfin Grouper
	124111,	--	Runescale Koi
	5466,	--	Scorpid Stinger
	1210,	--	Shadowgem
	124437,	--	Shal'dorei Silk
	53062,	--	Sharptooth
	133607,	--	Silver Mackerel
	6889,	--	Small Egg
	5465,	--	Small Spider Leg
	83064,	--	Spinefish
	27425,	--	Spotted Feltail
	13422,	--	Stonescale Eel
	124110,	--	Stormray
	3820,	--	Stranglekelp
	5469,	--	Strider Meat
	2672,	--	Stringy Wolf Meat
	53067,	--	Striped Lurker
	74861,	--	Tiger Gourami
	818,	--	Tigerseye
	62778,	--	Toughened Flesh
	52325,	--	Volatile Fire
	52326,	--	Volatile Water
	72988,	--	Windwool Cloth
	27429,	--	Zangarian Sporefish
};

SmexyMats.ItemsFor_Fishing = {
	
};