﻿--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Inscription.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Inscription(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_Inscription) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false;
end;

function SmexyMats:IsFor_Inscription(iID)
	for k, v in pairs(SmexyMats.ItemsFor_Inscription) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;

SmexyMats.ItemsFrom_Inscription = {
	39151,	--	Alabaster Pigment
	61979,	--	Ashen Pigment
	39343,	--	Azure Pigment
	61978,	--	Blackfallow Ink
	61980,	--	Burning Embers
	43104,	--	Burnt Pigment
	43120,	--	Celestial Ink
	114931,	--	Cerulean Pigment
	43125,	--	Darkflame Ink
	43117,	--	Dawnstar Ink
	39334,	--	Dusky Pigment
	43108,	--	Ebon Pigment
	39339,	--	Emerald Pigment
	43124,	--	Ethereal Ink
	43121,	--	Fiery Ink
	129100,	--	Gem Chip
	39338,	--	Golden Pigment
	43115,	--	Hunter's Ink
	43109,	--	Icy Pigment
	43105,	--	Indigo Pigment
	61981,	--	Inferno Ink
	79254,	--	Ink of Dreams
	43126,	--	Ink of the Sea
	43123,	--	Ink of the Sky
	43118,	--	Jadefire Ink
	43116,	--	Lion's Ink
	39774,	--	Midnight Ink
	79253,	--	Misty Pigment
	39469,	--	Moonglow Ink
	39342,	--	Nether Pigment
	129032,	--	Roseate Pigment
	43119,	--	Royal Ink
	43106,	--	Ruby Pigment
	129034,	--	Sallow Pigment
	43107,	--	Sapphire Pigment
	79731,	--	Scroll of Wisdom
	79251,	--	Shadow Pigment
	43122,	--	Shimmering Ink
	39341,	--	Silvery Pigment
	43127,	--	Snowfall Ink
	79255,	--	Starlight Ink
	43103,	--	Verdant Pigment
	39340,	--	Violet Pigment
	112377,	--	War Paints
	113111,	--	Warbinder's Ink
	128304,	--	Yseralline Seed
};

SmexyMats.ItemsFor_Inscription = {
	124101,	--	Aethril
	39151,	--	Alabaster Pigment
	61979,	--	Ashen Pigment
	39343,	--	Azure Pigment
	61978,	--	Blackfallow Ink
	109118,	--	Blackrock Ore
	124124,	--	Blood of Sargeras
	61980,	--	Burning Embers
	43104,	--	Burnt Pigment
	43120,	--	Celestial Ink
	114931,	--	Cerulean Pigment
	43125,	--	Darkflame Ink
	43117,	--	Dawnstar Ink
	62323,	--	Deathwing Scale Fragment
	124102,	--	Dreamleaf
	39334,	--	Dusky Pigment
	43108,	--	Ebon Pigment
	39339,	--	Emerald Pigment
	35625,	--	Eternal Life
	35627,	--	Eternal Shadow
	43124,	--	Ethereal Ink
	127759,	--	Felblight
	124106,	--	Felwort
	43121,	--	Fiery Ink
	109125,	--	Fireweed
	124104,	--	Fjarnskaggl
	124103,	--	Foxflower
	109124,	--	Frostweed
	43102,	--	Frozen Orb
	72096,	--	Ghost Iron Bar
	39338,	--	Golden Pigment
	109126,	--	Gorgrond Flytrap
	43115,	--	Hunter's Ink
	43109,	--	Icy Pigment
	43105,	--	Indigo Pigment
	61981,	--	Inferno Ink
	79254,	--	Ink of Dreams
	43126,	--	Ink of the Sea
	43123,	--	Ink of the Sky
	43118,	--	Jadefire Ink
	39354,	--	Light Parchment
	43116,	--	Lion's Ink
	39774,	--	Midnight Ink
	79253,	--	Misty Pigment
	39469,	--	Moonglow Ink
	109128,	--	Nagrand Arrowbloom
	39342,	--	Nether Pigment
	67319,	--	Preserved Ogre Eye
	21886,	--	Primal Life
	120945,	--	Primal Spirit
	72237,	--	Rain Poppy
	129032,	--	Roseate Pigment
	43119,	--	Royal Ink
	43106,	--	Ruby Pigment
	129034,	--	Sallow Pigment
	43107,	--	Sapphire Pigment
	118472,	--	Savage Blood
	79731,	--	Scroll of Wisdom
	79251,	--	Shadow Pigment
	43122,	--	Shimmering Ink
	67335,	--	Silver Charm Bracelet
	39341,	--	Silvery Pigment
	4470,	--	Simple Wood
	43127,	--	Snowfall Ink
	113264,	--	Sorcerous Air
	113261,	--	Sorcerous Fire
	113262,	--	Sorcerous Water
	76061,	--	Spirit of Harmony
	109127,	--	Starflower
	79255,	--	Starlight Ink
	124105,	--	Starlight Rose
	109129,	--	Talador Orchid
	43103,	--	Verdant Pigment
	39340,	--	Violet Pigment
	52328,	--	Volatile Air
	52327,	--	Volatile Earth
	52325,	--	Volatile Fire
	52329,	--	Volatile Life
	52326,	--	Volatile Water
	112377,	--	War Paints
	113111,	--	Warbinder's Ink
	128304,	--	Yseralline Seed
};