﻿--[[
	Data Parsed from WowHead.com and tradeskillmaster.com
	Crafting reagents that are FOR and/or FROM Tailoring.
	]]--
	
local SmexyMats = SmexyMats;

function SmexyMats:IsFrom_Tailoring(iID)
	for k, v in pairs(SmexyMats.ItemsFrom_Tailoring) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false;
end;

function SmexyMats:IsFor_Tailoring(iID)
	for k, v in pairs(SmexyMats.ItemsFor_Tailoring) do 
		if (tonumber(iID) == v) then 
			return true; 
		end; 
	end; 
	return false; 
end;


SmexyMats.ItemsFrom_Tailoring = {
	--Legendary Crafting Reagents
	146710, --	Bolt of Shadowcloth
	146711, --	Bolt of Starweave
	
	53643,	--	Bolt of Embersilk Cloth
	41510,	--	Bolt of Frostweave
	41511,	--	Bolt of Imbued Frostweave
	21842,	--	Bolt of Imbued Netherweave
	2996,	--	Bolt of Linen Cloth
	4339,	--	Bolt of Mageweave
	21840,	--	Bolt of Netherweave
	14048,	--	Bolt of Runecloth
	4305,	--	Bolt of Silk Cloth
	21844,	--	Bolt of Soulcloth
	82441,	--	Bolt of Windwool Cloth
	2997,	--	Bolt of Woolen Cloth
	98619,	--	Celestial Cloth
	54440,	--	Dreamcloth
	41593,	--	Ebonweave
	111556,	--	Hexweave Cloth
	127004,	--	Imbued Silkweave
	82447,	--	Imperial Silk
	14342,	--	Mooncloth
	41594,	--	Moonshroud
	21845,	--	Primal Mooncloth
	24272,	--	Shadowcloth
	24271,	--	Spellcloth
	41595,	--	Spellweave
};

SmexyMats.ItemsFor_Tailoring = {
	--Legendary Crafting Reagents
	146710, --	Bolt of Shadowcloth
	146711, --	Bolt of Starweave
	146659,	--	Nethershard Essence

	22445,	--	Arcane Dust
	12360,	--	Arcanite Bar
	124440,	--	Arkhana
	12800,	--	Azerothian Diamond
	2325,	--	Black Dye
	13468,	--	Black Lotus
	7971,	--	Black Pearl
	2324,	--	Bleach
	124124,	--	Blood of Sargeras
	80433,	--	Blood Spirit
	6260,	--	Blue Dye
	53643,	--	Bolt of Embersilk Cloth
	41510,	--	Bolt of Frostweave
	41511,	--	Bolt of Imbued Frostweave
	21842,	--	Bolt of Imbued Netherweave
	2996,	--	Bolt of Linen Cloth
	4339,	--	Bolt of Mageweave
	21840,	--	Bolt of Netherweave
	14048,	--	Bolt of Runecloth
	4305,	--	Bolt of Silk Cloth
	21844,	--	Bolt of Soulcloth
	82441,	--	Bolt of Windwool Cloth
	2997,	--	Bolt of Woolen Cloth
	36919,	--	Cardinal Ruby
	98619,	--	Celestial Cloth
	52078,	--	Chaos Orb
	3864,	--	Citrine
	2320,	--	Coarse Thread
	17012,	--	Core Leather
	47556,	--	Crusader Orb
	37701,	--	Crystallized Earth
	37702,	--	Crystallized Fire
	37704,	--	Crystallized Life
	20520,	--	Dark Rune
	12662,	--	Demonic Rune
	11176,	--	Dream Dust
	34052,	--	Dream Shard
	54440,	--	Dreamcloth
	41593,	--	Ebonweave
	7069,	--	Elemental Air
	7067,	--	Elemental Earth
	7068,	--	Elemental Fire
	7070,	--	Elemental Water
	53010,	--	Embersilk Cloth
	12810,	--	Enchanted Leather
	7082,	--	Essence of Air
	71998,	--	Essence of Destruction
	7076,	--	Essence of Earth
	7078,	--	Essence of Fire
	12808,	--	Essence of Undeath
	7080,	--	Essence of Water
	35624,	--	Eternal Earth
	36860,	--	Eternal Fire
	35625,	--	Eternal Life
	35627,	--	Eternal Shadow
	35622,	--	Eternal Water
	38426,	--	Eternium Thread
	36934,	--	Eye of Zul
	22794,	--	Fel Lotus
	127759,	--	Felblight
	14256,	--	Felcloth
	124106,	--	Felwort
	17010,	--	Fiery Core
	2321,	--	Fine Thread
	6371,	--	Fire Oil
	4625,	--	Firebloom
	36908,	--	Frost Lotus
	33470,	--	Frostweave Cloth
	43102,	--	Frozen Orb
	9210,	--	Ghost Dye
	7079,	--	Globe of Water
	3577,	--	Gold Bar
	23112,	--	Golden Draenite
	13926,	--	Golden Pearl
	109126,	--	Gorgrond Flytrap
	4340,	--	Gray Dye
	34055,	--	Greater Cosmic Essence
	16203,	--	Greater Eternal Essence
	22446,	--	Greater Planar Essence
	2605,	--	Green Dye
	12809,	--	Guardian Stone
	94289,	--	Haunting Spirit
	32428,	--	Heart of Darkness
	7077,	--	Heart of Fire
	10286,	--	Heart of the Wild
	38425,	--	Heavy Borean Leather
	4234,	--	Heavy Leather
	8343,	--	Heavy Silken Thread
	111556,	--	Hexweave Cloth
	12364,	--	Huge Emerald
	52555,	--	Hypnotic Dust
	42253,	--	Iceweb Spider Silk
	7972,	--	Ichor of Undeath
	127004,	--	Imbued Silkweave
	82447,	--	Imperial Silk
	34054,	--	Infinite Dust
	5500,	--	Iridescent Pearl
	7071,	--	Iron Buckle
	14227,	--	Ironweb Spider Silk
	1529,	--	Jade
	36922,	--	King's Amber
	21887,	--	Knothide Leather
	14344,	--	Large Brilliant Shard
	17011,	--	Lava Core
	123918,	--	Leystone Ore
	2318,	--	Light Leather
	2589,	--	Linen Cloth
	69237,	--	Living Ember
	12803,	--	Living Essence
	4338,	--	Mageweave Cloth
	36925,	--	Majestic Zircon
	2319,	--	Medium Leather
	36930,	--	Monarch Topaz
	14342,	--	Mooncloth
	41594,	--	Moonshroud
	7072,	--	Naga Scale
	30183,	--	Nether Vortex
	21877,	--	Netherweave Cloth
	21881,	--	Netherweb Spider Silk
	36783,	--	Northsea Pearl
	18240,	--	Ogre Tannin
	6261,	--	Orange Dye
	10290,	--	Pink Dye
	12804,	--	Powerful Mojo
	22451,	--	Primal Air
	22452,	--	Primal Earth
	21884,	--	Primal Fire
	21886,	--	Primal Life
	22457,	--	Primal Mana
	23571,	--	Primal Might
	21845,	--	Primal Mooncloth
	23572,	--	Primal Nether
	22456,	--	Primal Shadow
	120945,	--	Primal Spirit
	21885,	--	Primal Water
	49908,	--	Primordial Saronite
	4342,	--	Purple Dye
	8831,	--	Purple Lotus
	110609,	--	Raw Beast Hide
	2604,	--	Red Dye
	12811,	--	Righteous Orb
	8170,	--	Rugged Leather
	14341,	--	Rune Thread
	14047,	--	Runecloth
	45087,	--	Runed Orb
	127037,	--	Runic Catgut
	118472,	--	Savage Blood
	10285,	--	Shadow Silk
	24272,	--	Shadowcloth
	130183,	--	Shadowruby
	124437,	--	Shal'dorei Silk
	127681,	--	Sharp Spritethorn
	4306,	--	Silk Cloth
	4291,	--	Silken Thread
	36784,	--	Siren's Tear
	5498,	--	Small Lustrous Pearl
	113264,	--	Sorcerous Air
	113263,	--	Sorcerous Earth
	113262,	--	Sorcerous Water
	21882,	--	Soul Essence
	24271,	--	Spellcloth
	41595,	--	Spellweave
	3182,	--	Spider's Silk
	76061,	--	Spirit of Harmony
	102218,	--	Spirit of War
	7910,	--	Star Ruby
	124113,	--	Stonehide Leather
	124115,	--	Stormscale
	111557,	--	Sumptuous Fur
	34664,	--	Sunmote
	4304,	--	Thick Leather
	4337,	--	Thick Spider's Silk
	109119,	--	True Iron Ore
	6037,	--	Truesilver Bar
	124438,	--	Unbroken Claw
	124439,	--	Unbroken Tooth
	11137,	--	Vision Dust
	22450,	--	Void Crystal
	52328,	--	Volatile Air
	52327,	--	Volatile Earth
	52325,	--	Volatile Fire
	52329,	--	Volatile Life
	52326,	--	Volatile Water
	8153,	--	Wildvine
	72988,	--	Windwool Cloth
	2592,	--	Wool Cloth
	4341,	--	Yellow Dye
};